selecting 'new partition table' confuses the partitioning

Bug #462798 reported by Paul Larson on 2009-10-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
partman-uboot (Ubuntu)
Medium
Colin Watson
Karmic
Low
Unassigned
Lucid
Medium
Colin Watson

Bug Description

Binary package hint: ubiquity

If you do manual partitioning on dove and select 'new partition table', the uboot partition you try to create for booting gets confused about it's mountpoing. I told it to mount as /boot, but when it returned to the partitioning screen, it said it was going to be / instead. If I delete it and do it again, this time it says it's going to be /home (even though I selected /boot again)

If you delete the partitions manually instead of wiping the partition table, then it does not exhibit this behavior.

A possible workaround for this, is to delete it, and select ext2 as the partition type instead of uboot. This should still be able to boot fine, and does not seem to suffer the same problem as when you select uboot type.

ProblemType: Bug
Architecture: armel
Date: Wed Oct 28 13:23:19 2009
DistroRelease: Ubuntu 9.10
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Release armel+dove (20091027.2)
Package: ubiquity 2.0.6
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-208.16-dove
SourcePackage: ubiquity
Uname: Linux 2.6.31-208-dove armv7l
XsessionErrors:
 (gnome-settings-daemon:2835): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:2835): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:2891): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2907): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Paul Larson (pwlars) wrote :
Loïc Minier (lool) wrote :

Covered in ARM release notes already, and not a big deal anyway

Changed in ubiquity (Ubuntu):
importance: Undecided → Low
assignee: nobody → Michael Casadevall (mcasadevall)
status: New → Triaged
tags: added: iso-testing
Paul Larson (pwlars) wrote :

This seems to affect more than just the situation where you select 'new partition table'. I'm trying to install with the latest dove image (lucid) on a disk that already has partitions, using manual partitioning. I'd like to select the existing /boot and / partitions that I used before, and simply reformat them. As with the original description of the problem, it does not allow me to select /boot for the boot partition if I select uboot as the partition type. The workaround still works, but I'm increasing the priority somewhat due to the fact that it seems to always affect manual partitioning on dove.

Changed in ubiquity (Ubuntu Karmic):
importance: Undecided → Low
status: New → Triaged
Changed in ubiquity (Ubuntu Lucid):
importance: Low → Medium
Paul Larson (pwlars) wrote :

selecting manual partitioning, selected sda1 (my old /boot), change partition, type=u-boot, mountpoint=/boot. When it returned to the partition screen from editing the details of this partition, it was listed as "/" mountpoint instead. At this point, I captured the debug and partman logs, attached here. Hopefully this has something helpful in it.

Paul Larson (pwlars) wrote :
Paul Larson (pwlars) on 2010-01-15
Changed in ubiquity (Ubuntu Lucid):
milestone: none → lucid-alpha-3
Changed in ubiquity (Ubuntu Karmic):
milestone: none → karmic-updates
Colin Watson (cjwatson) wrote :

I think the fix I've just committed will deal with it, but it'll need testing. It won't be effective until there's a new ubiquity upload including it (ubiquity 2.1.13).

Changed in ubiquity (Ubuntu Lucid):
assignee: Michael Casadevall (mcasadevall) → Colin Watson (cjwatson)
affects: ubiquity (Ubuntu Lucid) → partman-uboot (Ubuntu Lucid)
Changed in partman-uboot (Ubuntu Lucid):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-uboot - 3

---------------
partman-uboot (3) lucid; urgency=low

  * Use partman-basicfilesystems/mountpoint_manual rather than
    partman-uboot/mountpoint_manual; there's no need for a different
    template here, and it saves having to teach ubiquity about the extra one
    (LP: #462798).
 -- Colin Watson <email address hidden> Wed, 20 Jan 2010 17:22:23 +0000

Changed in partman-uboot (Ubuntu Lucid):
status: Fix Committed → Fix Released
Tobin Davis (gruemaster) on 2012-03-09
Changed in partman-uboot (Ubuntu Karmic):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers